# sb::Data::Plugin
# == Author(s) : Takuya Otani <takuya.otani@gmail.com> ==
# == Copyright (C) 2004 SimpleBoxes/SerendipityNZ Ltd. ==

# ======================================
package sb::Data::Plugin;
use strict;
use sb::Data::Object ();
use base qw( sb::Data::Object );
use vars qw( $VERSION );
$VERSION = '0.03';
# 0.03 [2007/08/04] added initializer
# 0.02 [2007/02/11] ported from biscuit
# 0.01 [2005/07/22] changed data structure to array
# 0.00 [2005/03/15] generated
# --------------------------------------
# // defines / static variables
# ... nothing ...
# --------------------------------------
# // override base class - table
sub table
{
	my $self = shift;
	return (
		'id'      => 'uni_id',   # id
		'wid'     => 'id',       # weblog id (reserved)
		'use'     => 'int',      # current template flag
		'name'    => 'str(255)', # name
		'data'    => 'text',     # data
		'text'    => 'text',     # text
		'setting' => 'text',     # setting
		'date'    => 'date',     # date
		'url'     => 'str(255)', # url
		'mail'    => 'str(255)', # mail
		'extra'   => 'text',     # extra field
	);
}
# --------------------------------------
# // initializer
BEGIN
{
	__PACKAGE__->init_accessor();
}
sub default
{ # default settings
	my $self  = shift;
	my %param = @_;
	$param{'wid'} |= 0;
	$self->SUPER::initialize(%param);
}
# --------------------------------------
# // public functions
# --------------------------------------
# // private functions
1;
__END__
